Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.rdf.model
Class JenaConfig

    java.lang.Object
      com.hp.hpl.jena.rdf.model.JenaConfig

    public class JenaConfig

extends java.lang.Object

A Class for configuring Jena's behaviour.

It is sometimes necessary to configure Jena's behaviour. For example when external functionality has changed, it may, for a time be desirable to be able to configure Jena to continue the old behaviour so that existing code which relied on the old behaviour does not break.

Configuration options can sometimes be set using system properties. The following system properties are defined:

- `com.hp.hpl.jena.oldLiteralCompare`: This can be set to "true" before running Jena to turn on old literal compare behaviour. See `setOldLiteralCompare` below.

Version:
  $Revision: 1.11 $
Author:
  bwm

Method Summary
`static boolean` | `getOldLiteralCompare()` Deprecated. this functionality is temporary
`static boolean` | `setOldLiteralCompare(boolean b)` Deprecated. this functionality is temporary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### setOldLiteralCompare

    public static boolean setOldLiteralCompare(boolean b)

  Deprecated. this functionality is temporary

  Configure Jena to use its previous algorithm for comparing Literals.

  The RDFCore WG recently decided that two literals were not equal if they differed only in the setting of their isWellFormedXML flag. This is different from Jena's original behaviour.

  Jena literals have been modified to support the behaviour defined by RDFCore. By calling this method with true as a parameter, Jena can be configured to use its old behaviour.

  Parameters:
    `b` - The value to set the oldLiteralCompare flag
  Returns:
    the previous value of the oldLiteralCompare flag

### getOldLiteralCompare

    public static boolean getOldLiteralCompare()

  Deprecated. this functionality is temporary

  Return the value of the oldLiteralCompare flag

  Returns:
    the value of the oldLiteralCompare flag

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP